%define api_version	1.6

Summary:		A GNU tool for automatically creating Makefiles.
Name:			automake16
License:		GPL
Group:			Development/Tools
Version:		%{api_version}.3
Release:		1
Source:			ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
Conflicts:		automake = 1.6.3
Requires:		perl
Buildrequires:		autoconf >= 2.52
BuildArchitectures:	noarch
Buildroot:		%{_tmppath}/%{name}-%{release}-root

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
  %{_bindir}/*-%{api_version}
  %exclude %{_bindir}/automake
  %exclude %{_bindir}/aclocal
  %{_datadir}/automake-%{api_version}
  %{_datadir}/aclocal-%{api_version}
  %dir %{_datadir}/aclocal

%description
This package contains Automake 1.6, an older version of automake.
You should install it if you need to run automake in a project that
has not yet been updated to work with latest version of Automake.

%prep
%setup -q -n automake-%{version}
%build
  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # create this dir empty so we can own it
  mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
  rm -f $RPM_BUILD_ROOT/%{_infodir}/automake.info*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.6.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
